/*  
 * $Id: ButtonTestWrapper.java,v 1.1 1998/01/08 23:23:18 begolej Exp $
 *
 * Copyright (c) 1998 James Begole,  All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * James Begole MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE 
 * SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. James Begole 
 * SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

import com.sun.java.swing.*;
import java.awt.Container;
import java.awt.BorderLayout;
import java.awt.event.*;

public class ButtonTestWrapper {
  public static void main(String [] args) {
    JFrame frame = new JFrame();
    Container content = frame.getContentPane();
    content.setLayout(new BorderLayout());
    content.add("Center", new ButtonTest());

    WindowListener l = new WindowAdapter() {
      public void windowClosing(WindowEvent e) {System.exit(0);}
    };
    frame.addWindowListener(l);

    frame.pack();
    frame.show();
  }
}
